//Warren L. McCabe, Julian C. Smith, Peter Harriot, Unit Operations Of Chemical Engineering, 7th Edn.,McGraw Hill Higher Education,2014

//Chapter 17: Principles of diffusion and mass transfer between phases
//Example  : 17.3 Pg 540
//Title: Prediction of diffusivities. 
//================================================================================================

model Ex17_3
//===================
// Parameter Section

//The physical properties of Benzene and toluene are given in table Pg540
parameter Real T(unit="C")=110      "Temperature";

//===================
// Variable Section
Real Dv(unit="cm^2/s")      "Diffusivity for benzene in toluene";
Real Dv1(unit="cm^2/s")     "Diffusivity for toluene in benzene";

//==================
//Equation  Section 
equation
Dv= (7.4*10^(-8)*(92.13)^(0.5)*383)/(0.26*(96.5)^0.6);
Dv1= (7.4*10^(-8)*(78.11)^(0.5)*383)/(0.24*(118.3)^0.6);

end Ex17_3;
