//Warren L. McCabe, Julian C. Smith, Peter Harriot, Unit Operations Of Chemical Engineering, 7th Edn.,McGraw Hill Higher Education,2014

//Chapter 19: Humidification operations.
//Example  : 19.2 Pg 623
//Title: Definitions. 
//================================================================================================

model Ex19_2
//===================
// Parameter Section
parameter Real T(unit="F")=150                          "Temperature";
parameter Real T1(unit="F")=60                          "Temperature";
parameter Real H(unit="lb water/lb of dry air")=0.011   "Saturation humidity";
parameter Real Ha(unit="%")=5.2                         "Percentage humidity";
parameter Real Ha1(unit="lb water/lb of dry air")=0.026 "Humidity of saturated air";
parameter Real Cp(unit="Btu/lb dry air")=0.245          "Humid heat";

//===================
// Variable Section
Real vH(unit="ft^3/lb dry air")         "Humid volume";

//==================
//Equation  Section 
equation
 vH= 15.35+ ((H*359)/18)*(610/492); 

end Ex19_2;
